=== debian/changelog ===
talloc (2.1.0-1) unstable; urgency=low

  * New upstream release.
   + Drop 08_waf_python_config: now applied upstream.
  * Bump standards version to 3.9.4 (no changes).
  * Update Vcs header now that repository is in git.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Sep 2013 13:03:51 +0100

talloc (2.0.8-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.3 (no changes).
  * Use parseable copyright file format.
  * Properly clean up after build.
  * Migrate to Git.

  [ Christian Perrier ]
  * Use versioned license link in debian/copyright

  [ Jelmer Vernooij ]
  * Use dpkg-buildflags, enables hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Apr 2012 20:25:09 +0200
