## talloc 2.1.1

=== debian/changelog ===
talloc (2.1.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 08 Jun 2014 17:14:38 +0800

talloc (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Jun 2014 01:22:09 +0200

talloc (2.1.0-2) unstable; urgency=medium

  * Change maintainer to Samba Debian maintainers.
  * Bump standards version to 3.9.5 (no changes).
  * Run testsuite from autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Apr 2014 16:08:49 +0200
