=== debian/control ===
Source: talloc
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Christian Perrier <bubulle@debian.org>
Homepage: http://talloc.samba.org/
Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/pkg-samba/talloc.git
XS-Testsuite: autopkgtest

Package: libtalloc2
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: hierarchical pool based memory allocator
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.

Package: libtalloc2-dbg
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libtalloc2 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Recommends: libc6-dbg
Description: hierarchical pool based memory allocator - debug symbols
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the debug symbols.

Package: libtalloc-dev
Section: libdevel
Depends: libtalloc2 (=${binary:Version}), ${misc:Depends}, pkg-config
Architecture: any
Description: hierarchical pool based memory allocator - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files.

Package: python-talloc
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: hierarchical pool based memory allocator - Python bindings
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the Python bindings.

Package: python-talloc-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-talloc (= ${binary:Version})
Recommends: python-dbg, libtalloc2-dbg
Priority: extra
Description: hierarchical pool based memory allocator - Python debug extension
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the Python debug extension.

Package: python-talloc-dev
Architecture: any
Section: libdevel
Depends: python-talloc (= ${binary:Version}), ${misc:Depends}, pkg-config
Description: talloc Python bindings - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files for the Python bindings.
