=== debian/changelog ===
talloc (2.1.5-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build python3 packages. Closes: #802484
  * Bump debhelper and standards version.
  * Do not encode the SOABI and the multiarch string into the pytalloc-util
    library, just append a '-py3'.
  * Make the build log a bit more verbose.

  [ Jelmer Vernooij ]
  * Simplify making waf more verbose.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 25 Feb 2016 03:43:08 +0000

talloc (2.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 20:57:46 +0000

talloc (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch revert-ldflags-atend: applied upstream.
  * Remove patch reproducible-build: applied upstream.
  * debian/copyright: Fix uniqueness of license names.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 02:46:57 +0000
