=== debian/control ===
--- 
+++ 
@@ -4,9 +4,15 @@
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Christian Perrier <bubulle@debian.org>
 Homepage: http://talloc.samba.org/
-Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/pkg-samba/talloc.git
+Build-Depends: debhelper (>= 9),
+  docbook-xml, docbook-xsl, xsltproc,
+  dh-exec,
+  dh-python,
+  libpopt-dev,
+  python-dev (>= 2.6.6-3),
+  python3-dev,
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-samba/talloc.git -b unstable
 XS-Testsuite: autopkgtest
 
 Package: libtalloc2
@@ -21,6 +27,7 @@
 
 Package: libtalloc2-dbg
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: libtalloc2 (= ${binary:Version}), ${misc:Depends}
@@ -76,3 +83,38 @@
  reference counting to determine when memory should be freed.
  .
  This package contains the development files for the Python bindings.
+
+Package: python3-talloc
+Pre-Depends: ${misc:Pre-Depends}
+Architecture: any
+Section: python
+Provides: ${python3:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: hierarchical pool based memory allocator - Python3 bindings
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python3 bindings.
+
+Package: python3-talloc-dbg
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-talloc (= ${binary:Version})
+Recommends: python3-dbg, libtalloc2-dbg
+Priority: extra
+Description: hierarchical pool based memory allocator - Python3 debug extension
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python3 debug extension.
+
+Package: python3-talloc-dev
+Architecture: any
+Section: libdevel
+Depends: python3-talloc (= ${binary:Version}), ${misc:Depends}, pkg-config
+Description: talloc Python3 bindings - development files
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the development files for the Python3 bindings.
