=== debian/watch ===
version=3
http://ftp.samba.org/pub/talloc/ talloc-(.+).tar.gz
